'use strict';
const path=require('path');
const resolve=function (src) {
  return  path.resolve(__dirname,src);
};

module.exports={
    build:{
        env:require('./prod.env'),
        index:resolve('../app/public/index.html'),
        assetsRoot: resolve('../app/public/'),
        assetsPublicPath:'/',
        assetsSubDirectory:'static',
        cssSourceMap: false,
        productionSourceMap: false
    },
    dev:{
        env: require('./dev.env'),
        port: process.env.PORT || 8080,
        assetsPublicPath: '/',
        assetsSubDirectory:'/',
        autoOpenBrowser: true,
        cssSourceMap: false,
        proxyTable: {}
    }
};